<div class="row justify-content-center">
  <div class="col-md-11">
    <div class="card-group">
      <div class="card">
          <ul class="list-group list-group-flush w-100 align-items-stretch">
            <li class="list-group-item text-center d-inline-block bg-primary">
              <strong class="text-white">Consolidado</strong>
            </li>
            <li class="list-group-item text-center d-inline-block bg-faded">
                <strong>Usuarios</strong>
            </li>
            <li class="list-group-item text-center d-inline-block">
              <%= @summary["quantity_of_users"] %>
            </li>
            <li class="list-group-item text-center d-inline-block bg-faded">
              <strong>Parentesco</strong>
            </li>
            <li class="list-group-item text-center d-inline-block">
              <%= @summary["quantity_of_households"] %>
            </li>
            <li class="list-group-item text-center d-inline-block bg-faded">
              <strong>Perfiles</strong>
            </li>
            <li class="list-group-item text-center d-inline-block">
              <%= @quantity_of_users %>
            </li>
            <li class="list-group-item text-center d-inline-block bg-faded">
              <strong>Reportes</strong>
            </li>
            <li class="list-group-item text-center d-inline-block">
              <%= @quantity_of_surveys %>
            </li>
            <li class="list-group-item text-center d-inline-block bg-faded">
              <strong>Reportes con síntomas</strong>
            </li>
            <li class="list-group-item text-center d-inline-block">
              <%= @total_bad_reports %>
            </li>
            <li class="list-group-item text-center d-inline-block bg-faded">
              <strong>Reportes con síndromes</strong>
            </li>
            <li class="list-group-item text-center d-inline-block">
              <%= @total_disease_reports %>
            </li>
            <li class="list-group-item text-center d-inline-block bg-primary">
                <a href="data:application/xls;charset=utf-8,<%= @xls %>"
                  class="btn btn-primary btn-sm btn-block"
                  target="blank"
                  download="sumario.xls">
                  Descargar los gráficos en Excel
                </a>
            </li>
          </ul>
      </div>
      <div class="card">
        <ul class="list-group list-group-flush w-100 align-items-stretch">
          <li class="list-group-item text-center d-inline-block bg-success">
            <strong>Bogotá</strong>
          </li>
          <li class="list-group-item text-center d-inline-block bg-faded">
            <strong>Reportes totales</strong>
          </li>
          <li class="list-group-item text-center d-inline-block">
            <%= @cities_total[:reports][0] %>
          </li>
          <li class="list-group-item text-center d-inline-block bg-faded">
            <strong>Reportes con síntomas</strong>
          </li>
          <li class="list-group-item text-center d-inline-block">
            <%= @cities_total[:bad_reports][0] %>
          </li>
          <li class="list-group-item text-center d-inline-block bg-faded">
            <strong>Reportes con síndromes</strong>
          </li>
          <li class="list-group-item text-center d-inline-block">
            <%= @cities_total[:disease_reports][0] %>
          </li>
          <li class="list-group-item text-center d-inline-block bg-info">
            <strong>Cartagena</strong>
          </li>
          <li class="list-group-item text-center d-inline-block bg-faded">
            <strong>Reportes totales</strong>
          </li>
          <li class="list-group-item text-center d-inline-block">
            <%= @cities_total[:reports][1] %>
          </li>
          <li class="list-group-item text-center d-inline-block bg-faded">
            <strong>Reportes con síntomas</strong>
          </li>
          <li class="list-group-item text-center d-inline-block">
            <%= @cities_total[:bad_reports][1] %>
          </li>
          <li class="list-group-item text-center d-inline-block bg-faded">
            <strong>Reportes con síndromes</strong>
          </li>
          <li class="list-group-item text-center d-inline-block">
            <%= @cities_total[:disease_reports][1] %>
          </li>
        </ul>
      </div>
      <div class="card">
        <ul class="list-group list-group-flush w-100 align-items-stretch">
          <li class="list-group-item text-center d-inline-block bg-warning">
            <strong>Medellín</strong>
          </li>
          <li class="list-group-item text-center d-inline-block bg-faded">
            <strong>Reportes totales</strong>
          </li>
          <li class="list-group-item text-center d-inline-block">
            <%= @cities_total[:reports][2] %>
          </li>
          <li class="list-group-item text-center d-inline-block bg-faded">
            <strong>Reportes con síntomas</strong>
          </li>
          <li class="list-group-item text-center d-inline-block">
            <%= @cities_total[:bad_reports][2] %>
          </li>
          <li class="list-group-item text-center d-inline-block bg-faded">
            <strong>Reportes con síndromes</strong>
          </li>
          <li class="list-group-item text-center d-inline-block">
            <%= @cities_total[:disease_reports][2] %>
          </li>
          <li class="list-group-item text-center d-inline-block bg-danger">
            <strong class="text-white">Villavicencio</strong>
          </li>
          <li class="list-group-item text-center d-inline-block bg-faded">
            <strong>Reportes totales</strong>
          </li>
          <li class="list-group-item text-center d-inline-block">
            <%= @cities_total[:reports][3] %>
          </li>
          <li class="list-group-item text-center d-inline-block bg-faded">
            <strong>Reportes con síntomas</strong>
          </li>
          <li class="list-group-item text-center d-inline-block">
            <%= @cities_total[:bad_reports][3] %>
          </li>
          <li class="list-group-item text-center d-inline-block bg-faded">
            <strong>Reportes con síndromes</strong>
          </li>
          <li class="list-group-item text-center d-inline-block">
            <%= @cities_total[:disease_reports][3] %>
          </li>
        </ul>
      </div>
    </div>
  </div>
</div>
<br>
<div class="row justify-content-center">
  <div class="col-sm-11 ">
    <div class="card">
      <h3 class="card-header">Estado de salud x Día (Total: <%= @quantity_of_surveys %>)</h3>
        <div class="card-block">
          <canvas class="card-text" id="reports_per_day"></canvas>
        </div>
      </div>
    </div>
  </div>
</div>
<br>
<div class="row justify-content-center">
  <div class="col-sm-11 ">
    <div class="card">
      <h3 class="card-header">Síndromes x Ciudad (Total: <%= @total_diseases_city_chart %>)</h3>
        <div class="card-block">
          <canvas class="card-text" id="cities_reports"></canvas>
        </div>
      </div>
    </div>
  </div>
</div>
<br>
<div class="row justify-content-center">
  <div class="col-sm-11 ">
    <div class="card">
      <h3 class="card-header">Piramide poblacional de perfiles (Total: <%= @quantity_of_users %>)</h3>
        <div class="card-block">
          <canvas class="card-text" id="population_pyramid"></canvas>
        </div>
      </div>
    </div>
  </div>
</div>
<br>
<div class="row justify-content-center">
  <div class="col-sm-11 ">
    <div class="card">
      <h3 class="card-header">Piramide poblacional de reportes (Total: <%= @quantity_of_surveys %>)</h3>
        <div class="card-block">
          <canvas class="card-text" id="survey_pyramid"></canvas>
        </div>
      </div>
    </div>
  </div>
</div>
<br>
<div class="row justify-content-center">
  <div class="col-sm-11 ">
    <div class="card">
      <h3 class="card-header">Grupo de edad x Síndromes (Total: <%= @total_diseases_age_chart %>)</h3>
        <div class="card-block">
          <canvas class="card-text" id="age_diseases"></canvas>
        </div>
      </div>
    </div>
  </div>
</div>
<script>
  var config_reports_per_day = {
    type: 'line',
    data: {
      labels: [<%= @last_month_label.html_safe %>],
      datasets: [
        {
          label: 'Bien',
          backgroundColor: window.chartColors.blue,
          borderColor: window.chartColors.blue,
          data: [<%= @good_reports_from_last_month %>],
          fill: false,
        },
        {
          label: 'Mal',
          backgroundColor: window.chartColors.red,
          borderColor: window.chartColors.red,
          data: [<%= @bad_reports_from_last_month %>],
          fill: false,
        }
      ]
    },
    options: {
      responsive: true,
      tooltips: {
        mode: 'index',
        intersect: false
      },
      hover: {
        mode: 'nearest',
        intersect: true
      },
      scales: {
        xAxes: [{
          display: true,
          scaleLabel: {
            display: true,
            fontSize: 16,
            labelString: 'Día'
          }
        }],
        yAxes: [{
          display: true,
          scaleLabel: {
            display: true,
            fontSize: 16,
            labelString: 'Número de registros'
          }
        }]
      }
    }
  };

  var chart_reports_per_day = document.getElementById("reports_per_day").getContext("2d");
  window.myLine = new Chart(chart_reports_per_day, config_reports_per_day);

  var config_cities_reports = {
    type: 'horizontalBar',
    data: {
      labels: [<%= @cities_label.html_safe %>],
      datasets: [<%= @diseases_datasets.html_safe %>]
    },
    options: {
      responsive: true,
      tooltips: {
        mode: 'index',
        intersect: true
      },
      scales: {
        xAxes: [{
          display: true,
          scaleLabel: {
            display: true,
            fontSize: 16,
            labelString: 'Número de registros'
          }
        }],
        yAxes: [{
          display: true,
          scaleLabel: {
            display: true,
            fontSize: 16,
            labelString: 'Ciudad'
          }
        }]
      }
    }
  };

  var chart_cities_reports = document.getElementById("cities_reports").getContext("2d");
  window.myLine = new Chart(chart_cities_reports, config_cities_reports);

  var config_population_pyramid = {
    type: 'horizontalBar',
    data: {
      labels: [<%= @age_groups_label.html_safe %>],
      datasets: [
        {
          label: 'Hombres',
          backgroundColor: window.chartColors.blue,
          borderColor: window.chartColors.blue,
          data: [<%= @quantity_of_males_per_age_group %>],
          fill: false,
        },
        {
          label: 'Mujeres',
          backgroundColor: window.chartColors.red,
          borderColor: window.chartColors.red,
          data: [<%= @quantity_of_females_per_age_group %>],
          fill: false,
        }
      ]
    },
    options: {
      scales: {
        yAxes: [{
          display: true,
          stacked: true,
          scaleLabel: {
            display: true,
            fontSize: 16,
            labelString: 'Grupo de edad'
          },
          ticks: {
            reverse: true
          }
        }],
        xAxes: [{
          stacked: true,
          ticks: {
            callback: function(t, i) {
              return t < 0 ? Math.abs(t) : t;
            }
          },
          scaleLabel: {
            display: true,
            fontSize: 16,
            labelString: 'Número por sexo'
          }
        }]
      },
      tooltips: {
        mode: 'index',
        intersect: true,
        callbacks: {
          label: function(t, d) {
            var datasetLabel = d.datasets[t.datasetIndex].label;
            var xLabel = Math.abs(t.xLabel);
            return datasetLabel + ': ' + xLabel;
          }
        }
      }
    }
  };

  var chart_population_pyramid = document.getElementById("population_pyramid").getContext("2d");
  window.myLine = new Chart(chart_population_pyramid, config_population_pyramid);

  var config_survey_pyramid = {
    type: 'horizontalBar',
    data: {
      labels: [<%= @age_groups_label.html_safe %>],
      datasets: [
        {
          label: 'Hombres',
          backgroundColor: window.chartColors.blue,
          borderColor: window.chartColors.blue,
          data: [<%= @quantity_of_survey_males_per_age_group %>],
          fill: false,
        },
        {
          label: 'Mujeres',
          backgroundColor: window.chartColors.red,
          borderColor: window.chartColors.red,
          data: [<%= @quantity_of_survey_females_per_age_group %>],
          fill: false,
        }
      ]
    },
    options: {
      scales: {
        yAxes: [{
          display: true,
          stacked: true,
          scaleLabel: {
            display: true,
            fontSize: 16,
            labelString: 'Grupo de edad'
          },
          ticks: {
            reverse: true
          }
        }],
        xAxes: [{
          stacked: true,
          ticks: {
            callback: function(t, i) {
              return t < 0 ? Math.abs(t) : t;
            }
          },
          scaleLabel: {
            display: true,
            fontSize: 16,
            labelString: 'Número por sexo'
          }
        }]
      },
      tooltips: {
        mode: 'index',
        intersect: true,
        callbacks: {
          label: function(t, d) {
            var datasetLabel = d.datasets[t.datasetIndex].label;
            var xLabel = Math.abs(t.xLabel);
            return datasetLabel + ': ' + xLabel;
          }
        }
      }
    }
  };

  var chart_survey_pyramid = document.getElementById("survey_pyramid").getContext("2d");
  window.myLine = new Chart(chart_survey_pyramid, config_survey_pyramid);

  var config_age_diseases = {
    type: 'horizontalBar',
    data: {
      labels: [<%= @age_groups_label.html_safe %>],
      datasets: [<%= @age_diseases_datasets.html_safe %>]
    },
    options: {
      responsive: true,
      tooltips: {
        mode: 'index',
        intersect: true
      },
      scales: {
        xAxes: [{
          display: true,
          scaleLabel: {
            display: true,
            fontSize: 16,
            labelString: 'Número de registros por síndrome'
          }
        }],
        yAxes: [{
          display: true,
          scaleLabel: {
            display: true,
            fontSize: 16,
            labelString: 'Grupo de edad'
          }
        }]
      }
    }
  };

  var chart_age_diseases = document.getElementById("age_diseases").getContext("2d");
  window.myLine = new Chart(chart_age_diseases, config_age_diseases);
</script>
